[RESOLU] Mettre à jour une liste de pièces soudées

vos questions concernant les API SolidWorks

[RESOLU] Mettre à jour une liste de pièces soudées

Messagepar HeliCoid » Mer 11 Juil 2012, 17:21

Bonjour,

Je souhaiterais savoir comment on peut mettre à jour une liste de pièces soudées par une macro.

Mon but étant d'ensuite récupérer les propriétés des corps (longueur de profilé, dimension tôle, description, quantité,etc.) et d'écrire tout ça dans un fichier texte.

Comment faire cette mise à jour?

merci d'avance!
Dernière édition par HeliCoid le Ven 27 Juil 2012, 9:55, édité 1 fois.
HeliCoid
Ewok SolidWorks
 
Messages: 39
Inscription: Mar 22 Mar 2011, 10:40

Messagepar HeliCoid » Ven 13 Juil 2012, 8:46

personne ne peut m'aider...?
HeliCoid
Ewok SolidWorks
 
Messages: 39
Inscription: Mar 22 Mar 2011, 10:40

Messagepar liryc » Ven 13 Juil 2012, 9:02

Désolé, je n'utilise pas ces fonctions donc je ne me suis jamais posé la question. Tu as regardé dans l'aide de l'API?
Sinon je peux essayer de jeter un oeil (sans garantie de résultat) mais pas avant lundi.
liryc
Chevalier Jedi SolidWorks
 
Messages: 479
Inscription: Ven 02 Mar 2007, 8:14
Localisation: Paris - SW2009 SP5.0

Messagepar HeliCoid » Lun 16 Juil 2012, 8:30

J'ai trouvé des choses dans l'aide :

- "swBodyFolder.SetAutomaticCutList(True)" mais il ne fait rien.. pourtant, j'ai déclaré swBodyFolder en tant que SldWroks.BodyFolder.

- "swBodyFolder.UpdateCutList" mais pareil.. il ne fait rien..

Merci d'y jeter un coup d'oeil. :)
HeliCoid
Ewok SolidWorks
 
Messages: 39
Inscription: Mar 22 Mar 2011, 10:40

Messagepar liryc » Mar 17 Juil 2012, 11:04

Bonjour,
Je n'ai pas le temps de regarder plus mais regarde l'exemple dans l'API associé à BodyFolder.
L'exemple s'appel "Get Solid Bodies from Cut-list Folder and Get Custom Properties".

J'ai rajouté le retval pour te montrer la déclaration de mise à jour de la liste.

Code: Tout sélectionner
If IsBodyFolder Then

        Dim BodyFolder As SldWorks.BodyFolder

        Set BodyFolder = thisFeat.GetSpecificFeature2
       
        Dim retval As Boolean
       
        retval = BodyFolder.UpdateCutList
liryc
Chevalier Jedi SolidWorks
 
Messages: 479
Inscription: Ven 02 Mar 2007, 8:14
Localisation: Paris - SW2009 SP5.0

Messagepar HeliCoid » Ven 27 Juil 2012, 9:30

J'ai pris le temps et voici ce que j'ai sorti de mon chapeau :

Ce code va cherche le dossier de corps, active la fonction "automatique" et met à jour la liste des corps :
Code: Tout sélectionner
Option Explicit

Public swApp As SldWorks.SldWorks
Public swModel As SldWorks.ModelDoc2
Public swPart As SldWorks.PartDoc
Public swBodyFolder As SldWorks.BodyFolder
Public swFeat As SldWorks.Feature

Sub main()

Set swApp = Application.SldWorks
Set swModel = swApp.ActiveDoc
Set swPart = swModel

Set swFeat = swPart.FirstFeature

While Not swFeat Is Nothing

Debug.Print ""
Debug.Print "Nom de l'élément : "; swFeat.Name
Debug.Print "Type de l'élément : "; swFeat.GetTypeName2

If swFeat.GetTypeName2 = "SolidBodyFolder" Then
Set swBodyFolder = swFeat.GetSpecificFeature2

swBodyFolder.SetAutomaticCutList (True)
swBodyFolder.UpdateCutList

End If

Set swFeat = swFeat.GetNextFeature()

Wend
End Sub
HeliCoid
Ewok SolidWorks
 
Messages: 39
Inscription: Mar 22 Mar 2011, 10:40


Retourner vers Questions générales sur les API

 


  • Articles en relation
    Réponses
    Vus
    Dernier message

Qui est en ligne

Utilisateurs parcourant ce forum: Aucun utilisateur enregistré et 3 invités

banniere